Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/820/?format=api
{ "ob_id": 820, "uuid": "3c41f4f9a608a09bffc7946c8d488cf0", "title": "CWAVE: University of Leicester Visible-spectroradiometer measurements at Chilbolton Facility for Atmospheric and Radio Research (CFARR)", "abstract": "The Cloud and Water Vapour Experiment (CWAVE) was a measurement campaign at the CCLRC-Chilbolton Observatory; it was supporting associated with two EC FP5 projects, CLOUDMAP2 and CLOUDNET. A wide range of satellite and ground based instruments measured a variety of atmospheric properties ranging from cloud parameters to water vapour. In addition, the measurements coincided with the results from a reduced resolution Unified Model (UM) run by the Met Office. Access to such a data set allows unprecedented comparisons between observed and modelled data. This dataset contains time series of j(O1D) and j(NO2) measured by a diode array spectroradiometer (SR) and Spectroradiometer minute actinic flux measurements with respect to wavelength. The data was collected by the University of Leicester from the 23rd June to the 7th July 2003 during CWAVE 2003. ", "keywords": "CWAVE, Spectroradiometer", "publicationState": "published", "dataPublishedTime": "2007-03-09T16:57:11", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/821/?format=api", "dataPath": "/badc/cwave/visible-spectroradiometer", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 368972791, "numberOfFiles": 16899, "fileFormat": "Data are CSV formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/229/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data are collected by the Chilbolton Observatory and prepared by facility staff before submission to BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/551/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/816/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/813/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2706/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2710/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2711/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2704/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2707/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2708/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2709/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2705/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54232/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/823/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2570/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "cwave", "label": "restricted: cwave group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/cwave.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }